## relatorio 0.9.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/relatorio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/relatorio.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/relatorio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/relatorio"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## relatorio 0.5.5

=== debian/changelog ===
relatorio (0.5.5-4) unstable; urgency=low

  * Removing deprecated XB-Python-Version for dh_python2.
  * Uploading to unstable.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 14 Aug 2011 14:14:46 +0200

relatorio (0.5.5-3) experimental; urgency=low

  [ Mathias Behrle ]
  * Changing my email address.
  * Updating Copyright.
  * Updating to standards version 3.9.2.

  [ Daniel Baumann ]
  * Not wrapping uploaders field, it does not exceed 80 chars.
  * Compacting copyright file.
  * Moving to source format 3.0 (quilt).

  [ Mathias Behrle ]
  * Moving from deprecated python-support to dh_python2.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 17 Jul 2011 19:38:47 +0200

relatorio (0.5.5-2) experimental; urgency=low

  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel@debian.org>  Fri, 12 Nov 2010 14:17:25 +0100

relatorio (0.5.5-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Wrapping depends.
  * Updating standards version to 3.9.0.
  * Merging upstream version 0.5.5.

 -- Mathias Behrle <mathiasb@mbsolutions.selfip.biz>  Mon, 19 Jul 2010 23:40:03 +0200

relatorio (0.5.4-1) unstable; urgency=low

  * Adding Dm-Upload-Allowed in control in preparation for Mathias.
  * Merging upstream version 0.5.4.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 Apr 2010 11:13:29 +0200

relatorio (0.5.3-1) unstable; urgency=low

  * Merging upstream version 0.5.3.
  * Updating copyright file to reflect license changes (GPL-2+ to GPL-
    3+).

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Mar 2010 13:27:47 +0100

relatorio (0.5.2-2) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Removing unneeded python-all-dev from build-depends.
  * Updating to standards 3.8.4.
  * Updating README.source.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Feb 2010 09:36:50 +0100

relatorio (0.5.2-1) unstable; urgency=low

  * Merging upstream version 0.5.2.

 -- Daniel Baumann <daniel@debian.org>  Tue, 06 Oct 2009 21:00:59 +0200

relatorio (0.5.1-5) unstable; urgency=low

  [ Mathias Behrle ]
  * Adding python-yaml and python-pycha to Suggests (Closes: #548634).
  * Adding python-lxml to Depends.

  [ Daniel Baumann ]
  * Sorting suggests.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 Oct 2009 07:57:24 +0200

relatorio (0.5.1-4) unstable; urgency=low

  [ Mathias Behrle ]
  * Correcting spelling error in package long-description.

  [ Daniel Baumann ]
  * Updating to standards version 3.8.3.
  * Adding maintainer homepage field to control.
  * Adding README.source.
  * Moving maintainer homepage field to copyright.
  * Updating README.source.

 -- Daniel Baumann <daniel@debian.org>  Sat, 05 Sep 2009 09:35:32 +0200

relatorio (0.5.1-3) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Adding Mathias as co-maintainer.
  * Wrapping lines in control.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Aug 2009 19:10:58 +0200

relatorio (0.5.1-2) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 14:55:48 +0200

relatorio (0.5.1-1) unstable; urgency=low

  * Merging upstream version 0.5.1.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Apr 2009 21:39:00 +0200

relatorio (0.5.0-2) unstable; urgency=low

  * Correcting typo in name of the upstream author in copyright file
    (Closes: #518922).
  * Upgrading to standards version to 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Mar 2009 06:56:00 +0100

relatorio (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #507460).

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Feb 2009 18:31:00 +0100

=== debian/control ===
Source: relatorio
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <tryton@lists.debian-maintainers.org>
Uploaders: Daniel Baumann <daniel@debian.org>, Mathias Behrle <mathiasb@m9s.biz>
Dm-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8), python (>= 2.6.6-3~), python-genshi, python-setuptools
Standards-Version: 3.9.2
Homepage: http://relatorio.openhex.org/
Vcs-Browser: http://git.debian-maintainers.org/?p=tryton/relatorio.git
Vcs-Git: git://git.debian-maintainers.org/git/tryton/relatorio.git
X-Python-Version: >= 2.4

Package: python-relatorio
Architecture: all
Depends:
 ${misc:Depends}, ${python:Depends}, python-genshi, python-lxml,
 python-pkg-resources
Suggests: python-pycha, python-yaml
Description: Python module to create reports from Python objects
 This is a Python module to create reports from Python objects. Output plugins
 to several formats are included, such as documents (odt, ods, pdf) or images
 (png, svg).

## relatorio 0.5.6

=== debian/changelog ===
relatorio (0.5.6-2) unstable; urgency=low

  [ Mathias Behrle ]
  * Updating to Standards-Version: 3.9.3, no changes needed.
  * Adding Format header for DEP5.

  [ Daniel Baumann ]
  * Updating maintainers field.
  * Updating vcs fields.
  * Switching to xz compression.
  * Updating to debhelper version 9.
  * Correcting copyright file to match format version 1.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 30 Jun 2012 17:20:34 +0200

relatorio (0.5.6-1) unstable; urgency=low

  * Updating copyright file.
  * Merging upstream version 0.5.6.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 24 Feb 2012 01:07:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: relatorio
 Section: python
 Priority: optional
-Maintainer: Debian Tryton Maintainers <tryton@lists.debian-maintainers.org>
+Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
 Uploaders: Daniel Baumann <daniel@debian.org>, Mathias Behrle <mathiasb@m9s.biz>
 Dm-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8), python (>= 2.6.6-3~), python-genshi, python-setuptools
-Standards-Version: 3.9.2
+ debhelper (>= 9), python (>= 2.6.6-3~), python-genshi, python-setuptools
+Standards-Version: 3.9.3
 Homepage: http://relatorio.openhex.org/
-Vcs-Browser: http://git.debian-maintainers.org/?p=tryton/relatorio.git
-Vcs-Git: git://git.debian-maintainers.org/git/tryton/relatorio.git
+Vcs-Browser: http://debian.tryton.org/gitweb/?p=packages/relatorio.git
+Vcs-Git: git://debian.tryton.org/git/packages/relatorio.git
 X-Python-Version: >= 2.4
 
 Package: python-relatorio

## relatorio 0.5.7

=== debian/changelog ===
relatorio (0.5.7-2) unstable; urgency=low

  * Removing Daniel from Uploaders. Thanks for your work! (Closes: #704357).
  * Removing needless empty line in rules.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 31 May 2013 15:11:57 +0200

relatorio (0.5.7-1) experimental; urgency=low

  * Removing obsolete Dm-Upload-Allowed
  * Updating to Standards-Version: 3.9.4, no changes needed.
  * Updating Vcs-Git to correct address.
  * Adding watch file.
  * Merging upstream version 0.5.7.
  * Updating copyright.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 24 Feb 2013 14:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
-Uploaders: Daniel Baumann <daniel@debian.org>, Mathias Behrle <mathiasb@m9s.biz>
-Dm-Upload-Allowed: yes
+Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Build-Depends:
  debhelper (>= 9), python (>= 2.6.6-3~), python-genshi, python-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://relatorio.openhex.org/
 Vcs-Browser: http://debian.tryton.org/gitweb/?p=packages/relatorio.git
-Vcs-Git: git://debian.tryton.org/git/packages/relatorio.git
+Vcs-Git: git://debian.tryton.org/packages/relatorio.git
 X-Python-Version: >= 2.4
 
 Package: python-relatorio

## relatorio 0.6.0

=== debian/changelog ===
relatorio (0.6.0-3) unstable; urgency=medium

  * Updating year in debian copyright.
  * Removing debian/source/options, we are building with dpkg defaults.
  * Removing PYBUILD_NAME from rules, it is no more needed.
  * Adding pgp verification for uscan.
  * Adding gbp.conf for usage with git-buildpackage.
  * Updating Hompage url of the upstream project in control.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 11 Mar 2014 17:13:05 +0100

relatorio (0.6.0-2) unstable; urgency=low

  * Updating to standards version 3.9.5, no changes needed.
  * Changing to buildsystem pybuild.
  * Pointing VCS fields to new location on alioth.debian.org.
  * Using dpkg defaults for xz compression.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 29 Nov 2013 19:04:28 +0100

relatorio (0.6.0-1) unstable; urgency=low

  * Merging upstream version 0.6.0.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 15 Aug 2013 11:44:05 +0200

relatorio (0.5.7-3) unstable; urgency=low

  * Removing pydist-overrides, it is no more needed.
  * Adapting the rules file to work also with git-buildpackage.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 06 Aug 2013 13:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Build-Depends:
- debhelper (>= 9), python (>= 2.6.6-3~), python-genshi, python-setuptools
-Standards-Version: 3.9.4
-Homepage: http://relatorio.openhex.org/
-Vcs-Browser: http://debian.tryton.org/gitweb/?p=packages/relatorio.git
-Vcs-Git: git://debian.tryton.org/packages/relatorio.git
+ debhelper (>= 9), python (>= 2.6.6-3~), python-genshi, python-setuptools,
+ dh-python
+Standards-Version: 3.9.5
+Homepage: http://code.google.com/p/python-relatorio/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/relatorio.git
+Vcs-Git: git://anonscm.debian.org/tryton/relatorio.git
 X-Python-Version: >= 2.4
 
 Package: python-relatorio

=== debian/rules ===
#!/usr/bin/make -f

# needed for pbuilder
export LC_ALL=C.UTF-8

# Don't run tests, they try to download dependencies from pypi
export PYBUILD_DISABLE_python2.7=test

%:
	dh ${@} --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ opts=pgpsigurlmangle=s/$/.asc/ http://pypi.python.org/packages/source/r/relatorio/relatorio-(\d+.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## relatorio 0.6.1

=== debian/changelog ===
relatorio (0.6.1-2) unstable; urgency=medium

  * Adding actual upstream signing key.
  * Updating to Standards-Version: 3.9.6, no changes needed.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 08 Oct 2014 19:21:24 +0200

relatorio (0.6.1-1) unstable; urgency=medium

  * Removing  LC_ALL=C.UTF-8 as build environment.
  * Removing accidently doubled option pgpsigurlmangle from watch file.
  * Updating signing key while using now plain .asc files instead of .pgp
    binaries.
  * Removing examples file, there are none.
  * Updating gbp.conf for the usage of the tarball compression.
  * Merging upstream version 0.6.1.
  * Updating copyright.
  * Enabling tests for Python2.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 12 Sep 2014 14:20:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Build-Depends:
- debhelper (>= 9), python (>= 2.6.6-3~), python-genshi, python-setuptools,
- dh-python
-Standards-Version: 3.9.5
+ debhelper (>= 9), python (>= 2.6.6-3~), dh-python,
+ python-setuptools, python-genshi, python-lxml, python-nose
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/python-relatorio/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/relatorio.git
 Vcs-Git: git://anonscm.debian.org/tryton/relatorio.git

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://pypi.python.org/packages/source/r/relatorio/relatorio-(\d+.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## relatorio 0.6.2

=== debian/changelog ===
relatorio (0.6.2-1) unstable; urgency=medium

  * Merging upstream version 0.6.2.
  * Updating d/copyright for relatorio/tests/__init__.py.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 21 Sep 2015 13:35:44 +0200

relatorio (0.6.1-4) unstable; urgency=medium

  * Adapting section naming in gbp.conf to current git-buildpackage.
  * Adding missing build depends (Closes: #795132).

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 19 Aug 2015 18:21:35 +0200

relatorio (0.6.1-3) unstable; urgency=medium

  * Using pypi.debian.net redirector in watch file.
  * Wrapping and sorting control files (wrap-and-sort -bts).
  * Updating year of debian copyright.
  * New home of relatorio.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 18 May 2015 21:31:42 +0200

=== debian/control ===
Source: relatorio
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python (>= 2.6.6-3~),
 python-genshi,
 python-lxml,
 python-nose,
 python-pycha,
 python-setuptools,
 python-yaml,
Standards-Version: 3.9.6
Homepage: http://relatorio.tryton.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/relatorio.git
Vcs-Git: git://anonscm.debian.org/tryton/relatorio.git
X-Python-Version: >= 2.4

Package: python-relatorio
Architecture: all
Depends:
 python-genshi,
 python-lxml,
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Suggests: python-pycha, python-yaml
Description: Python module to create reports from Python objects
 This is a Python module to create reports from Python objects. Output plugins
 to several formats are included, such as documents (odt, ods, pdf) or images
 (png, svg).

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME := $(shell python setup.py --name)
export PYBUILD_NAME=$(PACKAGE_NAME)

%:
	dh ${@} --with python2 --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/python-relatorio/usr/share/python-relatorio
	mv debian/python-relatorio/usr/lib/python2.7/dist-packages/relatorio/tests/ debian/python-relatorio/usr/share/python-relatorio

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/relatorio/relatorio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## relatorio 0.6.3

=== debian/changelog ===
relatorio (0.6.3-1) unstable; urgency=medium

  * Merging upstream version 0.6.3.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 02 Jul 2016 22:38:24 +0200

relatorio (0.6.2-3) unstable; urgency=medium

  * Updating signing-key.asc with the actual upstream maintainer keys.
  * Adding support for Python3.
  * Updating to standard versions 3.9.8, no changes needed.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 25 Jun 2016 00:37:08 +0200

relatorio (0.6.2-2) unstable; urgency=medium

  * Updating to standards version 3.9.7, no changes needed.
  * Updating VCS-Browser to https and canonical cgit URL.
  * Updating VCS-Git to https and canonical cgit URL.
  * Removing the braces from the dh call.
  * Removing the version constraint from python.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 08 Mar 2016 18:54:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME := $(shell python setup.py --name)
export PYBUILD_NAME=$(PACKAGE_NAME)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/python-relatorio/usr/share/python-relatorio
	mv debian/python-relatorio/usr/lib/python2.7/dist-packages/relatorio/tests/ debian/python-relatorio/usr/share/python-relatorio
	mkdir -p debian/python3-relatorio/usr/share/python3-relatorio
	mv debian/python3-relatorio/usr/lib/python3.5/dist-packages/relatorio/tests/ debian/python3-relatorio/usr/share/python3-relatorio

## relatorio 0.6.4

=== debian/changelog ===
relatorio (0.6.4-1) unstable; urgency=medium

  * Merging upstream version 0.6.4.
  * Use rather the -r switch of py*versions to get the unique and correct
    Python version.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 19 Dec 2016 10:48:20 +0100

relatorio (0.6.3-2) unstable; urgency=medium

  * Replace fixed Python paths by dynamic paths.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 09 Dec 2016 17:28:31 +0100

=== debian/control ===
Source: relatorio
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python,
 python-genshi,
 python-lxml,
 python-nose,
 python-pycha,
 python-setuptools,
 python-yaml,
 python3,
 python3-genshi,
 python3-lxml,
 python3-nose,
 python3-setuptools,
 python3-yaml,
Standards-Version: 3.9.8
Homepage: http://relatorio.tryton.org/
Vcs-Browser: https://anonscm.debian.org/cgit/tryton/relatorio.git
Vcs-Git: https://anonscm.debian.org/cgit/tryton/relatorio.git
X-Python-Version: >= 2.6

Package: python-relatorio
Architecture: all
Depends:
 python-genshi,
 python-lxml,
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Suggests: python-pycha, python-yaml
Description: Python module to create reports from Python objects (Python2)
 This is a Python module to create reports from Python objects. Output plugins
 to several formats are included, such as documents (odt, ods, pdf) or images
 (png, svg).
 .
 This package is targeting Python version 2.

Package: python3-relatorio
Architecture: all
Depends:
 python3-genshi,
 python3-lxml,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Suggests: python3-yaml
Description: Python module to create reports from Python objects (Python3)
 This is a Python module to create reports from Python objects. Output plugins
 to several formats are included, such as documents (odt, ods, pdf) or images
 (png, svg).
 .
 This package is targeting Python version 3.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME := $(shell python setup.py --name)
export PYBUILD_NAME=$(PACKAGE_NAME)

PYTHON2_VERSIONS = $(shell pyversions -r)
PYTHON3_VERSIONS = $(shell py3versions -r)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/python-relatorio/usr/share/python-relatorio
	mv debian/python-relatorio/usr/lib/"$(PYTHON2_VERSIONS)"/dist-packages/relatorio/tests/ debian/python-relatorio/usr/share/python-relatorio
	mkdir -p debian/python3-relatorio/usr/share/python3-relatorio
	mv debian/python3-relatorio/usr/lib/"$(PYTHON3_VERSIONS)"/dist-packages/relatorio/tests/ debian/python3-relatorio/usr/share/python3-relatorio

## relatorio 0.8.0

=== debian/changelog ===
relatorio (0.8.0-2) unstable; urgency=medium

  * Remove copyright information of former embedded code copy of python-
    magic.
  * Update year of debian copyright.
  * Cleanup the experimental tag from the python[3]-magic depends.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 07 Feb 2018 12:32:29 +0100

relatorio (0.8.0-1~exp1) unstable; urgency=medium

  * Merging upstream version 0.8.0.
  * Remove 01-add-pypi-magic.patch.
  * Add python[3]-magic 2:0.4.15-1~exp1 to (Build)-Depends.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 19 Jan 2018 18:38:25 +0100

relatorio (0.7.1-1) unstable; urgency=medium

  * Use the preferred https URL format in the copyright file.
  * Bump the Standards-Version to 4.0.1.
  * Bump the Standards-Version to 4.1.0, no changes needed.
  * Add the current signing key of the maintainer.
  * Merging upstream version 0.7.0.
  * Update the d/copyright file.
  * Add new Build-Depends for version 7.0.
  * Disable tests temporarily due to missing Build-Depends.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Merging upstream version 0.7.1.
  * Add 01-add-pypi-magic.patch.
  * Add copyright for thirdparty/magic/magic.py.
  * Use https in the watch file.
  * Re-enable the tests.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 02 Nov 2017 14:26:14 +0100

relatorio (0.6.4-2) unstable; urgency=medium

  * Change the maintainer address to tryton-debian@lists.alioth.debian.org
    (Closes: #865109).
  * Use the default Python version instead of requesting XS-Python-Version
    (Closes: #867773).

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 10 Jul 2017 13:21:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: relatorio
 Section: python
 Priority: optional
-Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
+Maintainer: Debian Tryton Maintainers <tryton-debian@lists.alioth.debian.org>
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Build-Depends:
  debhelper (>= 9),
@@ -10,16 +10,18 @@
  python-genshi,
  python-lxml,
  python-nose,
+ python-magic (>= 2:0.4.15),
  python-pycha,
  python-setuptools,
  python-yaml,
  python3,
  python3-genshi,
  python3-lxml,
+ python3-magic (>= 2:0.4.15),
  python3-nose,
  python3-setuptools,
  python3-yaml,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://relatorio.tryton.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/tryton/relatorio.git
 Vcs-Git: https://anonscm.debian.org/cgit/tryton/relatorio.git
@@ -30,6 +32,7 @@
 Depends:
  python-genshi,
  python-lxml,
+ python-magic (>= 2:0.4.15),
  python-pkg-resources,
  ${misc:Depends},
  ${python:Depends},
@@ -46,6 +49,7 @@
 Depends:
  python3-genshi,
  python3-lxml,
+ python3-magic (>= 2:0.4.15),
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME := $(shell python setup.py --name)
export PYBUILD_NAME=$(PACKAGE_NAME)

PYTHON2_VERSION = $(shell pyversions -d)
PYTHON3_VERSION = $(shell py3versions -d)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/python-relatorio/usr/share/python-relatorio
	mv debian/python-relatorio/usr/lib/"$(PYTHON2_VERSION)"/dist-packages/relatorio/tests/ debian/python-relatorio/usr/share/python-relatorio
	mkdir -p debian/python3-relatorio/usr/share/python3-relatorio
	mv debian/python3-relatorio/usr/lib/"$(PYTHON3_VERSION)"/dist-packages/relatorio/tests/ debian/python3-relatorio/usr/share/python3-relatorio

## relatorio 0.8.1

=== debian/changelog ===
relatorio (0.8.1-1) unstable; urgency=medium

  * Updating to standards version 4.1.3, no changes needed.
  * control: update Vcs-Browser and Vcs-Git
  * Set the Maintainer address to team+tryton-team@tracker.debian.org.
  * Merging upstream version 0.8.1.
  * Update signing-key.asc with the minimized actual upstream maintainer
    key.
  * Updating to standards version 4.2.1, no changes needed.
  * Remove obsolete X-Python-Version: >= 2.6.
  * Install the examples.
  * Install docs also for the Python3 package.
  * Prefix the examples file for consistency.
  * Bump debhelper compat to 11.
  * Add an autopkgtest suite.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 21 Nov 2018 21:20:59 +0100

=== debian/control ===
Source: relatorio
Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python,
               python-genshi,
               python-lxml,
               python-nose,
               python-magic (>= 2:0.4.15),
               python-pycha,
               python-setuptools,
               python-yaml,
               python3,
               python3-genshi,
               python3-lxml,
               python3-magic (>= 2:0.4.15),
               python3-nose,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/tryton-team/relatorio
Vcs-Git: https://salsa.debian.org/tryton-team/relatorio.git
Homepage: http://relatorio.tryton.org/

Package: python-relatorio
Architecture: all
Depends: python-genshi,
         python-lxml,
         python-magic (>= 2:0.4.15),
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pycha,
          python-yaml
Description: Python module to create reports from Python objects (Python2)
 This is a Python module to create reports from Python objects. Output plugins
 to several formats are included, such as documents (odt, ods, pdf) or images
 (png, svg).
 .
 This package is targeting Python version 2.

Package: python3-relatorio
Architecture: all
Depends: python3-genshi,
         python3-lxml,
         python3-magic (>= 2:0.4.15),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-yaml
Description: Python module to create reports from Python objects (Python3)
 This is a Python module to create reports from Python objects. Output plugins
 to several formats are included, such as documents (odt, ods, pdf) or images
 (png, svg).
 .
 This package is targeting Python version 3.

=== debian/tests/control ===
Depends: python-relatorio
Test-Command: cd "$ADTTMP" ; python -c "import relatorio ; print relatorio.__version__"

Depends: python3-relatorio
Test-Command: cd "$ADTTMP" ; python3 -c "import relatorio ; print(relatorio.__version__)"

Depends: python-relatorio, python-pytest
Tests: run-testsuite

Depends: python3-relatorio, python3-pytest
Tests: run-testsuite3

## relatorio 0.9.1

=== debian/changelog ===
relatorio (0.9.1-1) unstable; urgency=medium

  * Merging upstream version 0.9.1.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 10 Feb 2020 11:10:54 +0100

relatorio (0.9.0-2) unstable; urgency=medium

  * Correct bug closing tag (Closes: #938349).

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 30 Aug 2019 21:53:30 +0200

relatorio (0.9.0-1) unstable; urgency=medium

  * Updating to Standards-Version 4.4.0, no changes needed.
  * Add the current signing key of the maintainer.
  * Merging upstream version 0.9.0.
  * Bump debian copyright year.
  * Drop the Python2 support (Closes: #938349).

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 30 Aug 2019 14:55:22 +0200

=== debian/control ===
Source: relatorio
Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-genshi,
               python3-lxml,
               python3-magic (>= 2:0.4.15),
               python3-nose,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/tryton-team/relatorio
Vcs-Git: https://salsa.debian.org/tryton-team/relatorio.git
Homepage: http://relatorio.tryton.org/

Package: python3-relatorio
Architecture: all
Depends: python3-genshi,
         python3-lxml,
         python3-magic (>= 2:0.4.15),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-yaml
Description: Python module to create reports from Python objects (Python3)
 This is a Python module to create reports from Python objects. Output plugins
 to several formats are included, such as documents (odt, ods, pdf) or images
 (png, svg).
 .
 This package is targeting Python version 3.

=== debian/tests/control ===
Depends: python3-relatorio
Test-Command: cd "$ADTTMP" ; python3 -c "import relatorio ; print(relatorio.__version__)"

Depends: python3-relatorio, python3-pytest
Tests: run-testsuite3

## relatorio 0.9.2

=== debian/changelog ===
relatorio (0.9.2-1) unstable; urgency=medium

  * Merging upstream version 0.9.2.
  * Updating copyright file.
  * Updating to standards version 4.5.1, no changes needed.
  * The AUTHORS file was removed and merged into copyright.
  * Update debian copyright.
  * Use debhelper compat 12.
  * Replace ADTTMP with AUTOPKGTEST_TMP.
  * Set Rules-Requires-Root: no.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 19 Dec 2020 20:22:43 +0100

## relatorio 0.10.0

=== debian/changelog ===
relatorio (0.10.0-1) unstable; urgency=medium

  * Merging upstream version 0.10.0.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 20 Oct 2021 13:06:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-genshi,
@@ -12,7 +12,8 @@
                python3-nose,
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/relatorio
 Vcs-Git: https://salsa.debian.org/tryton-team/relatorio.git
 Homepage: http://relatorio.tryton.org/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/relatorio/relatorio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## relatorio 0.10.1

=== debian/changelog ===
relatorio (0.10.1-1) unstable; urgency=medium

  * Merging upstream version 0.10.1.
  * Updating copyright file.
  * Remove python3-nose, not needed for testing (Closes: #1018611).
  * Bump d/copyright year.
  * Updating to standards version 4.6.1.0, no changes needed.
  * Provide a manpage for relatorio-render.
  * Set the watch file standard to 4.
  * Add a lintian override for test.odt.
  * Add lintian override for useless-whatis-entry: the name of the program
    is self declarative.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 09 Sep 2022 16:59:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
                python3-genshi,
                python3-lxml,
                python3-magic (>= 2:0.4.15),
-               python3-nose,
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/relatorio
 Vcs-Git: https://salsa.debian.org/tryton-team/relatorio.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/relatorio/relatorio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## relatorio 0.10.2

=== debian/changelog ===
relatorio (0.10.2-1) unstable; urgency=medium

  [ Mathias Behrle ]
  * Add a salsa-ci.yml
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Update the package URLS to https and the new mono repos location.
  * Bump the Standards-Version to 4.6.2, no changes needed.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Mathias Behrle ]
  * Do not take into account python package metadata when building twice
    (Closes: #1048569).
  * Update the watch file for missing gnupg signatures.
  * Merging upstream version 0.10.2.
  * Updating copyright file.
  * Update year of debian copyright.
  * Remove the no more used gnupg signing key.
  * Update the Homepage field in d/control.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 03 Jul 2024 09:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-genshi,
                python3-lxml,
-               python3-magic (>= 2:0.4.15),
+               python3-magic,
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/relatorio
 Vcs-Git: https://salsa.debian.org/tryton-team/relatorio.git
-Homepage: http://relatorio.tryton.org/
+Homepage: https://code.tryton.org/relatorio
 
 Package: python3-relatorio
 Architecture: all
 Depends: python3-genshi,
          python3-lxml,
-         python3-magic (>= 2:0.4.15),
+         python3-magic,
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}

## relatorio 0.11.1

=== debian/changelog ===
relatorio (0.11.1-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.7.0, no changes needed.
  * Remove legacy python3-pkg-resources from Depends (Closes: #1083740).
  * Merging upstream version 0.11.1.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 17 Jan 2025 17:22:30 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-magic,
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/relatorio
 Vcs-Git: https://salsa.debian.org/tryton-team/relatorio.git
@@ -22,7 +22,6 @@
 Depends: python3-genshi,
          python3-lxml,
          python3-magic,
-         python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python3-yaml

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME := $(shell python setup.py --name)
export PYBUILD_NAME=$(PACKAGE_NAME)

PYTHON3_VERSION = $(shell py3versions -d)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/python3-relatorio/usr/share/python3-relatorio
	mv debian/python3-relatorio/usr/lib/"$(PYTHON3_VERSION)"/dist-packages/relatorio/tests/ debian/python3-relatorio/usr/share/python3-relatorio

=== debian/tests/control ===
Depends: python3-relatorio
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import relatorio ; print(relatorio.__version__)"

Depends: python3-relatorio, python3-pytest
Tests: run-testsuite3

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=none \
https://pypi.debian.net/relatorio/relatorio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
